## org.apache.poi.hwpf.model
Class PropertyModifier

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyModifier

All Implemented Interfaces:
  java.lang.Cloneable

    @Internal
    public final class PropertyModifier

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`PropertyModifier(short value)`

Method Summary
`protected PropertyModifier` `clone()`
`boolean` `equals(java.lang.Object obj)`
`short` `getIgrpprl()` "Index to a grpprl stored in CLX portion of file"
`short` `getIsprm()`
`short` `getVal()`
`short` `getValue()`
`int` `hashCode()`
`boolean` `isComplex()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyModifier

    public PropertyModifier(short value)

Method Detail

### clone

    protected PropertyModifier clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getIgrpprl

    public short getIgrpprl()

  "Index to a grpprl stored in CLX portion of file"

### getIsprm

    public short getIsprm()

### getVal

    public short getVal()

### getValue

    public short getValue()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isComplex

    public boolean isComplex()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.